Subject: found 10162 in 24.5.1

From: Trent W. Buck <[email-masked]>
Date: Fri, 17 Feb 2017 11:57:20 +1100

# The #emacs IRC channel recently got +r mode (registered accounts only) to mitigate persistent Judenhass trolling, which means that M-x irc opens an #emacs buffer, but it just says something like "only registered users can join #emacs".  If I then type /join #emacs, I get in, because by then *irc.freenode.net* has "-NickServ- You are now identified for trentbuck.".  I tried setting rcirc-authenticate-before-join back to t to fix that, and the symptoms of this bug (#10162) reappeared.  I am using emacs24-nox=24.5+1-6~bpo8+1 package from Debian 8 Jessie.  According to the bug history, damd can reproduce the issue --- any luck fixing it?
found 10162 24.5.1
thanks